%define major		1
%define libnamecore	%mklibname %{name}core %{major}
%define libnamewdt	%mklibname %{name}widgets %{major}
%define develname	%mklibname %{name} -d

Name:			tano
Version:		1.2.1
Release:		%mkrel 10
Summary:		An open-source cross-platform IP TV player
Group:			Video/Television
License:		GPLv3
URL:			http://tano.si/tano-player/
# Generated by github https://github.com/ntadej/tano
# wget https://github.com/ntadej/tano/archive/%%{version}.tar.gz -O %%{name}-%%{version}.tar.gz
Source0:		%{name}-%{version}.tar.gz
Patch0:			%{name}-1.2.1-suse-fix-icon-install-path.patch
Patch1:			%{name}-1.2.1-rosa-fix-soname.patch
Patch2:			%{name}-1.2.1-mga-add-more-translations-on-desktop-file.patch
Patch3:			%{name}-1.2.1-suse-qt5-5.5.patch
BuildRequires:		qt5-devel
BuildRequires:		qttools5
BuildRequires:		pkgconfig(Qt5Help)
BuildRequires:		pkgconfig(libvlc-qt)
BuildRequires:		pkgconfig(libvlc-qt-widgets)
BuildRequires:		cmake

Requires:		vlc-plugin-common

%description
Tano is an open-source cross-platform IP TV player. It is combining
Qt and Videolan libraries. Project started because of a need of a
simple IP TV player on Linux providing EPG.

#----------------------------------------------------------------------------

%package -n		%{libnamecore}
Summary:		Shared library core for %{name}
Group:			System/Libraries

%description -n 	%{libnamecore}
Shared library core for %{name}.

#----------------------------------------------------------------------------

%package -n		%{libnamewdt}
Summary:		Shared library widgets for %{name}
Group:			System/Libraries

%description -n 	%{libnamewdt}
Shared library widgets for %{name}.

#----------------------------------------------------------------------------

%package -n		%{develname}
Summary:		Headers and development libraries for %{name}
Group:			Development/C++
Requires:		%{libnamecore} = %{version}-%{release}
Requires:		%{libnamewdt} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n		%{develname}
Headers and development libraries for %{name}.

#----------------------------------------------------------------------------
%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
# FIXME workaround (parallel make is broken in 1.2.1)
%cmake \
	-DDISABLE_UPDATE_CHECK:BOOL=ON \
	-DWITH_QT5:BOOL=ON \
	-DCMAKE_BUILD_TYPE=RelWithDebugInfo
%make -j1

%install
%make_install -C build

%files
%doc AUTHORS CHANGELOG README*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files -n %{libnamecore}
%{_libdir}/libtanocore.so.%{major}
%{_libdir}/libtanocore.so.%{major}.*

%files -n %{libnamewdt}
%{_libdir}/libtanowidgets.so.%{major}
%{_libdir}/libtanowidgets.so.%{major}.*

%files -n %{develname}
%{_libdir}/libtanocore.so
%{_libdir}/libtanowidgets.so


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.2.1-10.mga6
+ Revision: 937388
- Mageia 6 Mass Rebuild

* Sun Nov 22 2015 alexl <alexl> 1.2.1-9.mga6
+ Revision: 904960
- fix build with Qt5>= 5.5
- new url
- s/makeinstall_std/make_install/

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-8.mga5
+ Revision: 742214
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-7.mga5
+ Revision: 689689
- Mageia 5 Mass Rebuild

* Sat Apr 12 2014 daviddavid <daviddavid> 1.2.1-6.mga5
+ Revision: 613632
- rename Patch0 and Patch1 (according Mageia policy)
- add a Patch2 for added more translations on desktop file
- switch to Qt5 builder (source package allows it)
- add a devel package
- rename Patch0
- rename Patch1

* Thu Apr 10 2014 daviddavid <daviddavid> 1.2.1-5.mga5
+ Revision: 613306
- use correct libification
- add a Patch1 to fix soname
- update URL
- add doc

* Mon Apr 07 2014 alexl <alexl> 1.2.1-4.mga5
+ Revision: 612513
- add fix-icon-install-path patch

* Mon Apr 07 2014 alexl <alexl> 1.2.1-3.mga5
+ Revision: 612504
- use pkgconfig()
- add Requires vlc-plugin-common
- change Categories for desktop

* Sun Apr 06 2014 alexl <alexl> 1.2.1-2.mga5
+ Revision: 612454
- disable check update
- disable parallel build
- imported package tano

